Causelink Enterprise Requirements

  • warning: Parameter 2 to securepages_link_alter() expected to be a reference, value given in /var/www/sologic.com/www/includes/common.inc on line 2892.
  • warning: Parameter 2 to securepages_link_alter() expected to be a reference, value given in /var/www/sologic.com/www/includes/common.inc on line 2892.
  • strict warning: Non-static method view::load() should not be called statically in /var/www/sologic.com/www/sites/all/modules/views/views.module on line 879.
  • strict warning: Declaration of views_handler_argument::init() should be compatible with views_handler::init(&$view, $options) in /var/www/sologic.com/www/sites/all/modules/views/handlers/views_handler_argument.inc on line 745.
  • strict warning: Non-static method views_many_to_one_helper::option_definition() should not be called statically, assuming $this from incompatible context in /var/www/sologic.com/www/sites/all/modules/views/handlers/views_handler_argument_many_to_one.inc on line 36.
  • strict warning: Non-static method views_many_to_one_helper::option_definition() should not be called statically, assuming $this from incompatible context in /var/www/sologic.com/www/sites/all/modules/views/handlers/views_handler_argument_many_to_one.inc on line 36.
  • strict warning: Declaration of views_handler_filter::options_validate() should be compatible with views_handler::options_validate($form, &$form_state) in /var/www/sologic.com/www/sites/all/modules/views/handlers/views_handler_filter.inc on line 589.
  • strict warning: Declaration of views_handler_filter::options_submit() should be compatible with views_handler::options_submit($form, &$form_state) in /var/www/sologic.com/www/sites/all/modules/views/handlers/views_handler_filter.inc on line 589.
  • strict warning: Declaration of views_handler_filter_node_status::operator_form() should be compatible with views_handler_filter::operator_form(&$form, &$form_state) in /var/www/sologic.com/www/sites/all/modules/views/modules/node/views_handler_filter_node_status.inc on line 14.
  • strict warning: Non-static method view::load() should not be called statically in /var/www/sologic.com/www/sites/all/modules/views/views.module on line 879.
  • strict warning: Non-static method views_many_to_one_helper::option_definition() should not be called statically, assuming $this from incompatible context in /var/www/sologic.com/www/sites/all/modules/views/handlers/views_handler_argument_many_to_one.inc on line 36.
  • strict warning: Non-static method views_many_to_one_helper::option_definition() should not be called statically, assuming $this from incompatible context in /var/www/sologic.com/www/sites/all/modules/views/handlers/views_handler_argument_many_to_one.inc on line 36.
  • strict warning: Declaration of views_handler_filter_boolean_operator::value_validate() should be compatible with views_handler_filter::value_validate($form, &$form_state) in /var/www/sologic.com/www/sites/all/modules/views/handlers/views_handler_filter_boolean_operator.inc on line 149.

If Sologic hosts Causelink Enterprise (SaaS), your only requirement is a modern web browser (IE11+, Chrome 31+, Firefox 30+, Safari 7+) and an Internet connection.

If you want to host Causelink® Enterprise within your network, you can run it on a single server or across multiple servers, depending on the number of users and the server hardware. Causelink can also run in a virtual environment.  The requirements below assume that Causelink is the only application running on the servers.

Server Requirements

The following are minimum requirements to install Causelink Enterprise within your network.

Web API and Enterprise Service

  • IIS 7 with .NET Framework 4.5, WebAPI and ASP.NET 4.5 Enabled
  • 80GB storage
  • 4GB memory*
  • 1.6 GHz dual core CPU
  • Access to an SMTP server

Database

  • SQL Server 2012+
  • 20GB storage
  • 4GB memory
  • 1.6 GHz dual core CPU

Note: It is generally recommended that the Web API and Enterprise Service are on the same machine.

Client Requirements

The following are minimum requirements for end users.

Browsers

  • Internet Explorer 11+
  • Chrome 31+
  • Firefox 30+
  • Safari 7+


Other Requirements

  • Adobe Acrobat plug-in 7+ (required to view system-generated PDFs)
  • Internet connection


* If you are supporting more than 5,000 users, more memory is required.